Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Class CompanionValidationFailure

    java.lang.Object
      |
      +--oracle.apps.cz.cio.StatusInfo
            |
            +--oracle.apps.cz.cio.ValidationFailure
                  |
                  +--oracle.apps.cz.cio.CompanionValidationFailure

Deprecated. use CustomValidationFailure Failure produced by a functional companion object.

public class CompanionValidationFailure
extends ValidationFailure

Field Summary
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Fields inherited from class oracle.apps.cz.cio.ValidationFailure
`COMPANION_FAILURE, CUSTOM_FAILURE, LAST_REQUIRED_BOMCHILD_DELETED, MAX_FAILURE, MIN_FAILURE, MIN0_FAILURE, MINMAX_FAILURE, RESOURCE_FAILURE, RESTORE_FAILURE, TEXT_VALUE_EXCEED_MAX_LENGTH`

Fields inherited from class oracle.apps.cz.cio.StatusInfo
`STATUS_DELETED, STATUS_EXISTING, STATUS_NEW, STATUS_REMOVED`

Constructor Summary
`CompanionValidationFailure(java.lang.String message, oracle.apps.cz.cio.IRuntimeNode node, oracle.apps.cz.cio.Configuration config, oracle.apps.cz.cio.IFunctionalCompanion companion)` Deprecated.
`CompanionValidationFailure(java.lang.String message, oracle.apps.cz.cio.IRuntimeNode node, oracle.apps.cz.cio.IFunctionalCompanion companion)` Deprecated.

Method Summary
`oracle.apps.cz.cio.IFunctionalCompanion` | `getCompanion()` Deprecated. Returns the companion in which this validation failure occurred.

Methods inherited from class oracle.apps.cz.cio.ValidationFailure
`equals, getMessage, getMessage, getReasons, getType, toString`

Methods inherited from class oracle.apps.cz.cio.StatusInfo
`getNode, getStatus, hashCode, statusToString, toString`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

Constructor Detail

### CompanionValidationFailure

    public CompanionValidationFailure(java.lang.String message,
                                      oracle.apps.cz.cio.IRuntimeNode node,
                                      oracle.apps.cz.cio.IFunctionalCompanion companion)

  Deprecated.

### CompanionValidationFailure

    public CompanionValidationFailure(java.lang.String message,
                                      oracle.apps.cz.cio.IRuntimeNode node,
                                      oracle.apps.cz.cio.Configuration config,
                                      oracle.apps.cz.cio.IFunctionalCompanion companion)

  Deprecated.

Method Detail

### getCompanion

    public oracle.apps.cz.cio.IFunctionalCompanion getCompanion()

  Deprecated.
  Returns the companion in which this validation failure occurred.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.